Summary:	A power manager for Xfce
Summary(de):	Eine Energieverwaltung für Xfce
Name:		xfce4-power-manager
Version:	1.4.3
Release:	%mkrel 4
License:	GPLv2+
Group:		Graphical desktop/Xfce
Url:		http://goodies.xfce.org/projects/applications/%{name}
Source0:	http://goodies.xfce.org/releases/xfce4-power-manager/%{name}-%{version}.tar.xz
BuildRequires:	xfconf-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	%{_lib}notify-devel
BuildRequires:	intltool
BuildRequires:	xfce4-panel >= 4.10
BuildRequires:	xfce4-panel-devel
BuildRequires:	polkit-1-devel
BuildRequires:	%{_lib}xfce4ui-devel
BuildRequires:	gettext-devel
BuildRequires:	libpthread-stubs
BuildRequires:	%{_lib}upower-glib-devel
BuildRequires:	%{_lib}unique3.0-devel
BuildRequires:	lxpanel-devel
Requires:	%{_lib}xfce4ui1_0
Requires:	pm-utils
Requires:	hibernate
Requires:	suspend-s2ram
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:	%name < %version
Obsoletes: libupower-glib1
%description
A power manager dedicated for Xfce desktop environment.

#german
%description -l de
Ein Energieverwaltung für die Xfce Desktopumgebung

#french
%description -l fr
Un gestionnaire d'alimentation dédiée pour l'environnement de bureau Xfce.

#spanish
%description -l es
Un gerente de energía específica para el entorno de escritorio Xfce.

#polish
%description -l pl
A power manager dedicated for Xfce desktop environment.

#serbian
%description -l sr
Менаџер снаге намењене за Ксфце окружење.

#dutch
%description -l nl
Een Power Manager speciaal voor Xfce desktop omgeving.

%prep
%setup -q

%build
./autogen.sh --libdir=%{_libdir} --prefix=/usr --datadir=%{_datadir} --sysconfdir=%{_sysconfdir} \
	--enable-panel-plugins \
	--enable-network-manager \
	--enable-polkit \
	--enable-lxdepanel

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

# don't ship .la
find %{buildroot} -name '*.la' -exec rm -f {} \;

# don't ship .a
find %{buildroot} -name '*.a' -exec rm -f {} \;

%post
%{update_menus}
%{update_desktop_database}
%update_icon_cache hicolor

%postun
%{clean_menus}
%{clean_desktop_database}
%clean_icon_cache hicolor

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS NEWS README TODO
%{_sysconfdir}/xdg/autostart/*.desktop
%{_bindir}/*
%{_libdir}/xfce4/panel/plugins/libxfce4powermanager.so
%{_libdir}/lxpanel/plugins/lxde_power_manager.so
%{_datadir}/applications/*.desktop
%{_datadir}/xfce4/panel/plugins/*.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/hicolor/scalable/*/*.svg
%{_mandir}/man1/*
%{_iconsdir}/hicolor/*/*/*.png
%{_datadir}/locale/*
%{_sbindir}/*
%{_datadir}/polkit-1/*

%changelog
* Fri Aug 19 2016 adrianomorselli <adrianomorselli> 1.4.3-4uplos2016
- rebuild and fix upower

* Sun Apr 03 2016 bb <bb> 1.4.3-3pclos2016
- rebuild against backported upower

* Fri Apr 01 2016 bb <bb> 1.4.3-2pclos2016
- update

* Mon Mar 02 2015 ghostbunny <ghostbunny at gmx dot de> 1.4.3-1pclos2015
- 1.4.3

* Fri Dec 05 2014 ghostbunny <ghostbunny at gmx dot de> 1.4.2-1pclos2014
- 1.4.2
- add missing BRs
- fix files section
- replace configure macro by just autogen.sh. Macro seems to break the build
- activate build of the lxde panel plugin

* Mon Oct 15 2012 ghostbunny <ghostbunny at gmx dot de> 1.2.0-4pclos2012
- moved misplaced remove of .la/.a files in postun section into install section

* Tue Oct 02 2012 Neal <nealbrks0 at gmail dot com> 1.2.0-3pclos2012
- process

* Thu Sep 27 2012 ghostbunny <ghostbunny at gmx dot de> 1.2.0-3pclos2012
- refixed requires (added lib macro to libxfce4ui)

* Thu Sep 27 2012 Neal <nealbrks0 at gmail dot com> 1.2.0-2pclos2012
- fix build deps
- process

* Thu Sep 27 2012 ghostbunny <ghostbunny at gmx dot de> 1.2.0-2pclos2012
- fixed Requires section for 64bit

* Thu Sep 20 2012 Neal <nealbrks0 at gmail dot com> 1.2.0-1pclos2012
- 64bit

* Fri Aug 31 2012 Neal <nealbrks0 at gmail dot com> 1.2.0-1pclos2012
- process

* Thu Aug 30 2012 ghostbunny <ghostbunny at gmx dot de> 1.2.0-1pclos2012
- 1.2.0
- added german summary and description
- removed patch0,2,3,4,5,6,7,8,9
- commented patch10,20

* Sat Jan 21 2012 Neal <nealbrks0 at gmail dot com> 1.0.10-2pclos2012
- process

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 1.0.10-2pclos2012
- added libnotify patch

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 1.0.10-1pclos2012
- rebuild

* Fri Mar 04 2011 Texstar <texstar at gmail.com> 1.0.10-1pclos2011
- 1.0.10

* Wed Jan 26 2011 Sproggy <desproggster@gmail.com> 1.0.3-1pclos2011
- updated for xfce4.8

* Wed Nov 10 2010 Sproggy <desproggster@gmail.com> 1.0.1-2pclos2010
- 1.0.1
